#!/bin/bash

## This script is exporting data from OpenSearch cluster,
## it is collecting data for auditlog and exporting them to S3 bucket
# The script takes two arguments - the Elasticsearch endpoint and the environment name (free form)

DATE=$(date +%Y-%m-%d)
TIME=$(date +%Y-%m-%d-%H-%M-%S)

AUDIT_LOG=/home/docker/$TIME-audit_log_stats-$2.log

# run export script for audit-log-stats
node app-auditlog.js $1 443 > $AUDIT_LOG

if [ -f $AUDIT_LOG ]; then
  aws s3 cp $AUDIT_LOG s3://defense-bi-analytics-hub01/deployment_stats/audit_log_stats/$DATE/
fi